Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Carlos Pita <[email-masked]>
Date: Sat, 30 Jun 2018 19:54:04 -0300

Works for me too. I had to manually apply the patch because it doesn't
cleanly applies on latest emacs-26, but besides that it does what is
announced.

I think it's ok for this functionality to be gtk only since the kde
people (and mostly everyone else) hate the csd stuff and want their wm
to deal with decorations, old school. There is a flame war around this
issue indeed. Plasma can be configured for "hide titlebar on maximize"
but gnome and its derivatives (thinking of cinnamon here) can't. I
wonder for how long it would be even possible to hide the titlebar at
the gtk level.